REST Documentation

View InboundXML Docs

View SMS Message

Text messages sent to and from TelAPI phone numbers are represented with the Sms resource.

Request URI

A single SMS resource can be viewed using the HTTP GET method. The format of the URI used to make the GET request is below.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/SMS/Messages/{SMSMessageSid}

Resource Properties

The following properties are what a single SMS resource is made up of.

Property Description
The API version being used when the SMS was sent or received.
An alphanumeric string identifying this resource.
An alphanumeric string identifying the account this SMS occurred through.
The date the SMS resource was created.
The date the SMS resource was last updated.
Date the SMS was sent.
The number that received the SMS message.
The number that sent the SMS message.
Text of the SMS message sent or received. May be up to 160 characters in length.
Status of the SMS: sent, sending, queued, or failed.
Specifies the direction of the SMS: messages from REST API are "outbound-api", messages from incoming phone numbers to TelAPI are "incoming", messages from InboundXML initiated during an outbound call are "outbound-call", and messages from InboundXML initiated via an sms reply are "outbound-reply".
Cost of the SMS.
The Uniform Resource Identifier to this resource.

Example Response

An example of what a response to a view SMS request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.